<?xml version="1.0"?>
	<!-- define the project -->
	<project name = "ch2_UserRegistrationPortlet" default="build" basedir=".">
		
	<!-- define project properties -->
	<property name="compiler" value="modern"/>
	<property name="fork" value="no"/>
	<property name="verbose" value="no"/>
	<property name="debug" value="on"/>
	<property name="optimize" value="on"/>
	<property name="deprecation" value="on"/>
	<property name="target" value="1.7"/>
	<property name="source" value="1.7"/>
	<property file="build.properties" />
	<property environment="env"/>
		
	<!-- define properties to refer to directories in the project -->
	<property name="webinf.dir" value="WEB-INF"/>
	<property name="webinf.lib.dir" value="WEB-INF/lib"/>
	<property name="lib.dir" value="lib"/>
	<property name="src.dir" value="src"/>
	<property name="test.dir" value="test" />
	<property name="build.dir" value="build"/>
	<property name="webinf.classes.dir" value="${webinf.dir}/classes"/>
	<property name="webinf.classes.content.dir" value="${webinf.dir}/classes/content"/>
	<property name="web.xml" value="${webinf.dir}/web.xml"/>

	<fileset id="webapp.libs" dir="${webinf.lib.dir}">
		<include name="*.jar"/>
	</fileset>
	<fileset id="libs" dir="${lib.dir}">
		<include name="*.jar"/>
	</fileset>

	<path id="class.path">
		<pathelement path="${webinf.classes.dir}"/>
		<fileset refid="webapp.libs"/>
		<fileset refid="libs"/>
	</path>

	<pathconvert pathsep=":" property="class.path" refid="class.path"/>
	
	<fileset id="war.files" dir=".">
		<include name="${webinf.dir}/**"/>
		<exclude name="${webinf.dir}/Language-ext.properties"/>
		<include name="images/**"/>
		<include name="css/**"/>
		<include name="js/**"/>
		<exclude name="${web.xml}"/>
	</fileset>

	<!-- compile target to compile the sources -->
	<target name="compile">
		<mkdir dir="${webinf.classes.dir}"/>
		<!-- Content directory contains Liferay resource bundle-->
		<mkdir dir="${webinf.classes.content.dir}"/>
		<javac srcdir="${src.dir}:${test.dir}" destdir="${webinf.classes.dir}"
		       fork="${fork}" verbose="${verbose}" deprecation="${deprecation}"
		       debug="${debug}" optimize="${optimize}"
		       compiler="${compiler}" target="${target}" source="${source}">
			<classpath refid="class.path"/>
		</javac>
		<copy todir="${webinf.classes.dir}" preservelastmodified="true">
			<fileset dir="${src.dir}">
				<include name="**/*.properties"/>
			</fileset>
		</copy>
		<copy todir="${webinf.classes.content.dir}">
			<fileset dir="${webinf.dir}">
				<include name="Language-ext.properties"/>
			</fileset>
		</copy>
	</target>

	<!-- target to create the project WAR file -->
	<target name="build" depends="clean,compile">
		<mkdir dir="${build.dir}"/>
		<war destfile="${build.dir}/ch2_UserRegistrationPortlet.war" webxml="${web.xml}">
			<fileset refid="war.files"/>
		</war>
		<copy todir="${liferay.portal.home}/deploy">
			<fileset dir="${build.dir}">
				<include name="**/*.war" />
			</fileset>
		</copy>
	</target>

	<!-- target to clean up all files created by various tasks -->
	<target name="clean">
		<delete quiet="true" includeemptydirs="true">
			<fileset dir="${webinf.classes.dir}" includes="**/*"/>
			<fileset dir="${build.dir}"/>
			<fileset dir="${work.dir}"/>
		</delete>
	</target>
</project>